# pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::ConsumerThread Class Reference

`#include <PionLockedQueue.hpp>`

List of all members.

## Detailed Description

### template<typename T, boost::uint32_t MaxSize = 250000, boost::uint32_t SleepMilliSec = 10>
class pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::ConsumerThread

data structure used to manage idle consumer threads waiting for items

Definition at line 123 of file PionLockedQueue.hpp.

## Public Member Functions

| ConsumerThread (void)
template<typename DurationType>
| ConsumerThread (const DurationType &d)
bool | isRunning (void) const
| returns true while the consumer thread is active/running
void | stop (void)
| stops the thread -- if waiting on pop() will return immediately
void | reset (void)
| stops the thread -- if waiting on pop() will return immediately
bool | hasWakeupTimer (void) const
| returns true if an inactivity wakeup timer is set for the thread
const boost::posix_time::time_duration & | getWakeupTimer (void) const
| returns absolute wakeup time based on current time

## Friends

class | PionLockedQueue
| allow PionLockedQueue direct access to members

## Constructor & Destructor Documentation

template<typename T, boost::uint32_t MaxSize = 250000, boost::uint32_t SleepMilliSec = 10>

pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::ConsumerThread::ConsumerThread | ( | void |  | ) | `[inline]`

default constructor used to disable idle wakeup timer (assumes thread is active/running)

Definition at line 130 of file PionLockedQueue.hpp.

template<typename T, boost::uint32_t MaxSize = 250000, boost::uint32_t SleepMilliSec = 10>
template<typename DurationType>

pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::ConsumerThread::ConsumerThread | ( | const DurationType & | d | ) | `[inline]`

constructor used to enable an idle wakeup timer for the thread (assumes thread is active/running)

Parameters:

  | d | inactivity wakeup timer duration

Definition at line 140 of file PionLockedQueue.hpp.

The documentation for this class was generated from the following file:

- common/include/pion/PionLockedQueue.hpp